import request from '@/utils/request';
import { AxiosPromise } from 'axios';

/**
 * 查询预警记录列表
 * @param query
 * @returns {*}
 */

export const listArchive = (query?: any): AxiosPromise<any[]> => {
  return request({
    url: '/scale/archive/pageList',
    method: 'get',
    params: query
  });
};

export const listStatistic = (query?: any): AxiosPromise<any[]> => {
  return request({
    url: '/scale/archive/statistic/pageList',
    method: 'get',
    params: query
  });
};

export const statisticScale = (query?: any): AxiosPromise<any[]> => {
  return request({
    url: '/scale/archive/statistic/scale',
    method: 'get',
    params: query
  });
};

export const statisticWarn = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/scale/archive/statistic/warn',
    method: 'get',
    params: query
  });
};