export interface SysScaleVO {
  /**
   * 测评id
   */
  scaleId: string | number;

  /**
   * 测评标题
   */
  scaleTitle: string;

  /**
   * 测评详情
   */
  scaleDetails: string;

  /**
   * 状态（0正常 1停用）
   */
  status: string;

  /**
   * 量表的总分计分公式
   */
  formulaId: string | number;

  /**
   * 类型
   */
  scaleType: string;

  /**
   * 预警分数
   */
  earlyWarningScore: number;

  /**
   * 测评开始时间
   */
  startTime: string;

  /**
   * 测评时间
   */
  scaleTime: string;

  /**
   * 测评结束时间
   */
  endTime: string;

}

export interface SysScaleForm extends BaseEntity {
  /**
   * 测评id
   */
  scaleId?: string | number;

  /**
   * 测评标题
   */
  scaleTitle?: string;

  /**
   * 测评详情
   */
  scaleDetails?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 量表的总分计分公式
   */
  formulaId?: string | number;

  /**
   * 类型
   */
  scaleType?: string;

  /**
   * 预警分数
   */
  earlyWarningScore?: number;

  /**
   * 测评开始时间
   */
  startTime?: string;

  /**
   * 测评时间
   */
  scaleTime?: string;

  /**
   * 测评结束时间
   */
  endTime?: string;

}

export interface SysScaleQuery extends PageQuery {
  /**
   * 量表名称
   */
  scaleName?: string;

  /**
   * 量表编码
   */
  scaleCode?: string;

  /**
   * 测评标题
   */
  scaleTitle?: string;

  /**
   * 测评详情
   */
  scaleDetails?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 量表的总分计分公式
   */
  formulaId?: string | number;

  /**
   * 类型
   */
  scaleType?: string;

  /**
   * 预警分数
   */
  earlyWarningScore?: number;

  /**
   * 测评开始时间
   */
  startTime?: string;

  /**
   * 测评时间
   */
  scaleTime?: string;

  /**
   * 测评结束时间
   */
  endTime?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



