export interface SysScaleFactorVO {
  /**
   * 因子id
   */
  factorId: string | number;

  /**
   * 因子名称
   */
  factorName: string;

  /**
   * 因子所属量表id
   */
  scaleId: string | number;

  /**
   * 测评量表标题
   */
  scaleTitle: string;

  /**
   * 分数范围及结果提示
   */
  factorResult: string;

  /**
   * 因子分计算公式
   */
  formulaId: string | number;

}

export interface SysScaleFactorForm extends BaseEntity {
  /**
   * 因子id
   */
  factorId?: string | number;

  /**
   * 因子名称
   */
  factorName?: string;

  /**
   * 因子所属量表id
   */
  scaleId?: string | number | any;

  /**
   * 测评量表标题
   */
  scaleTitle?: string;

  /**
   * 分数范围及结果提示
   */
  factorResult?: string;

  /**
   * 因子分计算公式
   */
  formulaId?: string | number;

  questionIds: any[],

  factorRangeList: any[]
}

export interface SysScaleFactorQuery extends PageQuery {

  /**
   * 因子名称
   */
  factorName?: string;

  /**
   * 因子所属量表id
   */
  scaleId?: string | number;

  /**
   * 测评量表标题
   */
  scaleTitle?: string;

  /**
   * 分数范围及结果提示
   */
  factorResult?: string;

  /**
   * 因子分计算公式
   */
  formulaId?: string | number;

  /**
   * 日期范围参数
   */
  params?: any;
}



