export interface SysScaleQuestionVO {
  /**
   * 测评问题id
   */
  questionId: string | number;

  /**
   * 所属测评量表id
   */
  scaleId: string | number;

  /**
   * 测评量表标题
   */
  scaleTitle: string;

  /**
   * 问题序号
   */
  questionOrder: number;

  /**
   * 问题内容
   */
  questionContent: string;

  /**
   * 所属因子维度
   */
  factorId: string | number;

  /**
   * 因子名称
   */
  factorName: string;

}

export interface SysScaleQuestionForm extends BaseEntity {
  /**
   * 测评问题id
   */
  questionId?: string | number;

  /**
   * 所属测评量表id
   */
  scaleId?: string | number | any;

  /**
   * 测评量表标题
   */
  scaleTitle?: string;

  /**
   * 问题序号
   */
  questionOrder?: number;

  /**
   * 问题内容
   */
  questionContent?: string;

  /**
   * 所属因子维度
   */
  factorId?: string | number;

  /**
   * 因子名称
   */
  factorName?: string;

  scaleAnswerList: any[],
}

export interface ScaleAnswer {
  answerId: string;
  answerOption: string;
  score: number;
  type: number;
  sort: number;
}

export interface SysScaleQuestionQuery extends PageQuery {

  /**
   * 所属测评量表id
   */
  scaleId?: string | any;

  /**
   * 测评量表标题
   */
  scaleTitle?: string;

  /**
   * 问题序号
   */
  questionOrder?: number;

  /**
   * 问题内容
   */
  questionContent?: string;

  /**
   * 所属因子维度
   */
  factorId?: string | number;

  /**
   * 因子名称
   */
  factorName?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



